<?php
// Popular Posts Options.
$wp_customize->add_section(
    'home_page_popular_post_options',
    array(
        'title' => __('Popular Options', 'maglink'),
        'panel' => 'header_options_panel',
    )
);
$wp_customize->add_setting(
    'maglink_options[enable_popular_posts]',
    array(
        'default' => $maglink_default['enable_popular_posts'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_posts]',
    array(
        'label' => __('Enable Popular Section', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'maglink_options[enable_popular_only_on_frontpage]',
    array(
        'default' => $maglink_default['enable_popular_only_on_frontpage'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_only_on_frontpage]',
    array(
        'label' => __('Display only on the Homepage', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);

// Popular Posts Category.
$wp_customize->add_setting(
    'maglink_options[popular_post_cat]',
    array(
        'default' => $maglink_default['popular_post_cat'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Maglink_Dropdown_Taxonomies_Control(
        $wp_customize,
        'maglink_options[popular_post_cat]',
        array(
            'label' => __('Choose Category', 'maglink'),
            'section' => 'home_page_popular_post_options',
        )
    )
);
// No of posts.
$wp_customize->add_setting(
    'maglink_options[no_of_popular_posts]',
    array(
        'default' => $maglink_default['no_of_popular_posts'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[no_of_popular_posts]',
    array(
        'label' => __('Number of Posts', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);

// No of posts offset.
$wp_customize->add_setting(
    'maglink_options[popular_posts_number_of_post_offsets]',
    array(
        'default' => $maglink_default['popular_posts_number_of_post_offsets'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[popular_posts_number_of_post_offsets]',
    array(
        'label' => __('Post Offset Number', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);


// Posts Orderby.
$wp_customize->add_setting(
    'maglink_options[popular_post_orderby]',
    array(
        'default' => $maglink_default['popular_post_orderby'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[popular_post_orderby]',
    array(
        'label' => __('Orderby', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            'date' => __('Date', 'maglink'),
            'id' => __('ID', 'maglink'),
            'title' => __('Title', 'maglink'),
            'rand' => __('Random', 'maglink'),
        ),
    )
);
// Posts Order.
$wp_customize->add_setting(
    'maglink_options[popular_post_order]',
    array(
        'default' => $maglink_default['popular_post_order'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[popular_post_order]',
    array(
        'label' => __('Order', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            'asc' => __('ASC', 'maglink'),
            'desc' => __('DESC', 'maglink'),
        ),
    )
);
$wp_customize->add_setting(
    'maglink_options[enable_popular_post_author_meta]',
    array(
        'default' => $maglink_default['enable_popular_post_author_meta'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'maglink_options[select_popular_post_author_meta]',
    array(
        'default' => $maglink_default['select_popular_post_author_meta'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_popular_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => maglink_author_meta(),
    )
);
$wp_customize->add_setting(
    'maglink_options[popular_post_author_meta_title]',
    array(
        'default' => $maglink_default['popular_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[popular_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'maglink_options[enable_popular_post_date_meta]',
    array(
        'default' => $maglink_default['enable_popular_post_date_meta'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'maglink_options[select_popular_post_date]',
    array(
        'default' => $maglink_default['select_popular_post_date'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_popular_post_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => maglink_date_meta(),
    )
);
$wp_customize->add_setting(
    'maglink_options[select_popular_post_date_meta_title]',
    array(
        'default' => $maglink_default['select_popular_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[select_popular_post_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'maglink_options[select_popular_post_date_format]',
    array(
        'default' => $maglink_default['select_popular_post_date_format'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_popular_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => maglink_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'maglink_options[enable_popular_category_meta]',
    array(
        'default' => $maglink_default['enable_popular_category_meta'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'maglink_options[select_popular_number_of_category]',
    array(
        'default' => $maglink_default['select_popular_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[select_popular_number_of_category]',
    array(
        'label' => __('Number of Category', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);

$wp_customize->add_setting(
    'maglink_options[popular_post_offset_number]',
    array(
        'default' => $maglink_default['popular_post_offset_number'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[popular_post_offset_number]',
    array(
        'label' => __('Post Offset', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);

$wp_customize->add_setting(
    'maglink_options[popular_category_label]',
    array(
        'default' => $maglink_default['popular_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[popular_category_label]',
    array(
        'label' => __('Category Label', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'maglink_options[select_popular_category_color]',
    array(
        'default' => $maglink_default['select_popular_category_color'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_popular_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => maglink_category_color(),
    )
);

// Enable  Autoplay.
$wp_customize->add_setting(
    'maglink_options[enable_popular_post_autoplay]',
    array(
        'default' => $maglink_default['enable_popular_post_autoplay'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_post_autoplay]',
    array(
        'label' => __('Enable Autoplay', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'maglink_is_popular_post_enabled',
    )
);
$wp_customize->add_setting(
    'maglink_options[enable_popular_post_arrows]',
    array(
        'default' => $maglink_default['enable_popular_post_arrows'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_post_arrows]',
    array(
        'label' => __('Enable Arrows', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'maglink_is_popular_post_enabled',
    )
);
$wp_customize->add_setting(
    'maglink_options[enable_popular_post_dots]',
    array(
        'default' => $maglink_default['enable_popular_post_dots'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_popular_post_dots]',
    array(
        'label' => __('Enable Dots', 'maglink'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'maglink_is_popular_post_enabled',
    )
);
